# MittelmannBndryCntrlDiri3D_27BT Class Reference

Class implementating case with nonconvex Beaton-Tukey like penalty function. More...

`#include <MittelmannBndryCntrlDiri3D_27.hpp>`

Inheritance diagram for MittelmannBndryCntrlDiri3D_27BT:
[legend]

List of all members.

## Public Member Functions
| MittelmannBndryCntrlDiri3D_27BT ()
virtual | ~MittelmannBndryCntrlDiri3D_27BT ()
virtual bool | InitializeProblem (Index N)
| Initialize internal parameters, where N is a parameter determining the problme size.
## Protected Member Functions
virtual Number | y_d_cont (Number x1, Number x2, Number x3) const
| Target profile function for y.
## Private Member Functions
hide implicitly defined contructors copy operators
| MittelmannBndryCntrlDiri3D_27BT (const MittelmannBndryCntrlDiri3D_27BT &)
MittelmannBndryCntrlDiri3D_27BT & | operator= (const MittelmannBndryCntrlDiri3D_27BT &)
| Overloaded Equals Operator.

## Detailed Description

Class implementating case with nonconvex Beaton-Tukey like penalty function.

Definition at line 323 of file MittelmannBndryCntrlDiri3D_27.hpp.

## Constructor & Destructor Documentation

MittelmannBndryCntrlDiri3D_27BT::MittelmannBndryCntrlDiri3D_27BT | ( |  | ) | `[inline]`

Definition at line 326 of file MittelmannBndryCntrlDiri3D_27.hpp.

virtual MittelmannBndryCntrlDiri3D_27BT::~MittelmannBndryCntrlDiri3D_27BT | ( |  | ) | `[inline, virtual]`

Definition at line 329 of file MittelmannBndryCntrlDiri3D_27.hpp.

MittelmannBndryCntrlDiri3D_27BT::MittelmannBndryCntrlDiri3D_27BT | ( | const MittelmannBndryCntrlDiri3D_27BT & |  | ) | `[private]`

## Member Function Documentation

virtual bool MittelmannBndryCntrlDiri3D_27BT::InitializeProblem | ( | Index | N | ) | `[inline, virtual]`

Initialize internal parameters, where N is a parameter determining the problme size.

This returns false, if N has an invalid value.

Implements RegisteredTNLP.

Definition at line 332 of file MittelmannBndryCntrlDiri3D_27.hpp.

virtual Number MittelmannBndryCntrlDiri3D_27BT::y_d_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | x3 |
| ) |  |  | const`[inline, protected, virtual]`

Target profile function for y.

Implements MittelmannBndryCntrlDiriBase3D_27.

Definition at line 351 of file MittelmannBndryCntrlDiri3D_27.hpp.

MittelmannBndryCntrlDiri3D_27BT& MittelmannBndryCntrlDiri3D_27BT::operator= | ( | const MittelmannBndryCntrlDiri3D_27BT & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from MittelmannBndryCntrlDiriBase3D_27.

The documentation for this class was generated from the following file:

- examples/ScalableProblems/MittelmannBndryCntrlDiri3D_27.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines